#include <p18f2550.h>
#include <delays.h>

int i;

void main() {
  // digital inputs - not analogic
  ADCON1 = 0x0F;
  CMCON = 0x07;
  
  // blinking led for knowing it works
  TRISCbits.TRISC1 = 0 ;
  PORTCbits.RC1 = 1;
  // on/off led
  TRISCbits.TRISC2 = 0 ;
  PORTCbits.RC2 = 1;
  
  // button
  TRISAbits.TRISA0 = 1 ;
  PORTAbits.RA0 = 0;

  while (1) {

    // when button pressed, switch led
    if (PORTAbits.RA0) {
      i = 0;
	  while (PORTAbits.RA0)  i++;
      if (i > 4000)
        PORTCbits.RC2 =~ PORTCbits.RC2;
    } 

    PORTCbits.RC1 =~ PORTCbits.RC1;
    Delay10KTCYx(1000);
  }

}